package org.dromara.common.mq.domain;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 消息事件
 *
 * @author ruoyi
 */
@Getter
public class VlogPushEvent extends ApplicationEvent {

    private final String  tag;
    private final String userIdStr;

    /**
     * 使用 Long 类型用户 ID 创建消息事件
     */
    public VlogPushEvent(Object source, String  tag) {
        super(source);
        this.tag = tag;
        this.userIdStr = tag;
    }
    /**
     * 使用 Long 类型用户 ID 创建消息事件
     */
    public VlogPushEvent(String tag) {
        super(tag);
        this.tag = tag;
        this.userIdStr = null;
    }




}
